StatisticsStruct Struct Reference

`#include <statisticshandler.h>`

## Public Attributes

long int | totalBytesSent
long int | totalBytesReceived
long int | compressedBytesSent
long int | compressedBytesReceived
long int | uncompressedBytesSent
long int | uncompressedBytesReceived
long int | totalStanzasSent
long int | totalStanzasReceived
long int | iqStanzasSent
long int | iqStanzasReceived
long int | messageStanzasSent
long int | messageStanzasReceived
long int | s10nStanzasSent
long int | s10nStanzasReceived
long int | presenceStanzasSent
long int | presenceStanzasReceived
bool | encryption
bool | compression

## Detailed Description

A structure describing the current connection statistics.

Definition at line 25 of file statisticshandler.h.

## Member Data Documentation

## compressedBytesReceived

long int compressedBytesReceived

Total number of bytes received over the wire before decompression was applied.

Definition at line 35 of file statisticshandler.h.

## compressedBytesSent

long int compressedBytesSent

Total number of bytes sent over the wire after compression was applied.

Definition at line 33 of file statisticshandler.h.

## compression

bool compression

Whether or not the stream (to the server) gets compressed.

Definition at line 52 of file statisticshandler.h.

## encryption

bool encryption

Whether or not the connection (to the server) is encrypted.

Definition at line 51 of file statisticshandler.h.

## iqStanzasReceived

long int iqStanzasReceived

The total number of IQ Stanzas received.

Definition at line 44 of file statisticshandler.h.

## iqStanzasSent

long int iqStanzasSent

The total number of IQ Stanzas sent.

Definition at line 43 of file statisticshandler.h.

## messageStanzasReceived

long int messageStanzasReceived

The total number of Message Stanzas received.

Definition at line 46 of file statisticshandler.h.

## messageStanzasSent

long int messageStanzasSent

The total number of Message Stanzas sent.

Definition at line 45 of file statisticshandler.h.

## presenceStanzasReceived

long int presenceStanzasReceived

The total number of Presence Stanzas received.

Definition at line 50 of file statisticshandler.h.

## presenceStanzasSent

long int presenceStanzasSent

The total number of Presence Stanzas sent.

Definition at line 49 of file statisticshandler.h.

## s10nStanzasReceived

long int s10nStanzasReceived

The total number of Subscription Stanzas received.

Definition at line 48 of file statisticshandler.h.

## s10nStanzasSent

long int s10nStanzasSent

The total number of Subscription Stanzas sent.

Definition at line 47 of file statisticshandler.h.

## totalBytesReceived

long int totalBytesReceived

The total number of bytes received over the wire. This does not include the TLS handshake nor any TLS-related overhead, but it does include anything sent before compression was switched on.

Definition at line 30 of file statisticshandler.h.

## totalBytesSent

long int totalBytesSent

The total number of bytes sent over the wire. This does not include the TLS handshake nor any TLS-related overhead, but it does include anything sent before compression was switched on.

Definition at line 27 of file statisticshandler.h.

## totalStanzasReceived

long int totalStanzasReceived

The total number of Stanzas received.

Definition at line 42 of file statisticshandler.h.

## totalStanzasSent

long int totalStanzasSent

The total number of Stanzas sent.

Definition at line 41 of file statisticshandler.h.

## uncompressedBytesReceived

long int uncompressedBytesReceived

Total number of bytes received over the wire after decompression was applied.

Definition at line 39 of file statisticshandler.h.

## uncompressedBytesSent

long int uncompressedBytesSent

Total number of bytes sent over the wire before compression was applied.

Definition at line 37 of file statisticshandler.h.

The documentation for this struct was generated from the following file:

- statisticshandler.h